extends Camera

func _ready():
	set_fixed_process(true)
	
func _fixed_process(delta):
	var pos = get_global_transform().origin
	pos = Vector3(pos.x, 0, pos.z)
	var character_pos = get_tree().get_nodes_in_group("Character")[0].get_global_transform().origin 
	character_pos = Vector3(character_pos.x, 0, character_pos.z)
	
	if pos.distance_to( character_pos ) > 3:
		global_translate( ( character_pos - pos ).normalized() * 10 * delta )
	elif pos.distance_to( character_pos ) > 0.1:
		global_translate( ( character_pos - pos ).normalized() * 3 * delta )
