extends Area

func _ready():
	connect("body_enter", self, "collide")

func collide( body ):
	if body.is_in_group("Objects") and body.get_mode() == RigidBody.MODE_RIGID:
		var vector = ( ( get_global_transform().origin - body.get_global_transform().origin ) + body.get_linear_velocity() ) / 2
		get_parent().apply_force( Vector3( vector.x, 0, vector.z ).normalized() )